# Competency API: Standards

## GET /api/competency/standards/{standard}

> Retrieves one specific standard

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"StandardModel":{"type":"object","properties":{"bankId":{"type":"string","format":"uuid","nullable":true},"bankSetId":{"type":"string","format":"uuid","nullable":true},"categoryItemId":{"type":"string","format":"uuid","nullable":true},"createdBy":{"type":"string","format":"uuid"},"departmentGroupId":{"type":"string","format":"uuid","nullable":true},"industryItemId":{"type":"string","format":"uuid","nullable":true},"modifiedBy":{"type":"string","format":"uuid"},"organizationId":{"type":"string","format":"uuid"},"parentStandardId":{"type":"string","format":"uuid","nullable":true},"standardId":{"type":"string","format":"uuid"},"standardStatusLastUpdateUser":{"type":"string","format":"uuid","nullable":true},"isCertificateEnabled":{"type":"boolean"},"isFeedbackEnabled":{"type":"boolean"},"isHidden":{"type":"boolean"},"isLocked":{"type":"boolean"},"isPractical":{"type":"boolean"},"isPublished":{"type":"boolean"},"isTemplate":{"type":"boolean"},"isTheory":{"type":"boolean"},"authorName":{"type":"string","nullable":true},"canvasIdentifier":{"type":"string","nullable":true},"code":{"type":"string","nullable":true},"competencyScoreCalculationMethod":{"type":"string","nullable":true},"competencyScoreSummarizationMethod":{"type":"string","nullable":true},"contentDescription":{"type":"string","nullable":true},"contentName":{"type":"string","nullable":true},"contentSettings":{"type":"string","nullable":true},"contentSummary":{"type":"string","nullable":true},"contentTitle":{"type":"string","nullable":true},"creditIdentifier":{"type":"string","nullable":true},"documentType":{"type":"string","nullable":true},"icon":{"type":"string","nullable":true},"language":{"type":"string","nullable":true},"levelCode":{"type":"string","nullable":true},"levelType":{"type":"string","nullable":true},"majorVersion":{"type":"string","nullable":true},"minorVersion":{"type":"string","nullable":true},"sourceDescriptor":{"type":"string","nullable":true},"standardAlias":{"type":"string","nullable":true},"standardHook":{"type":"string","nullable":true},"standardLabel":{"type":"string","nullable":true},"standardPrivacyScope":{"type":"string","nullable":true},"standardStatus":{"type":"string","nullable":true},"standardTier":{"type":"string","nullable":true},"standardType":{"type":"string","nullable":true},"tags":{"type":"string","nullable":true},"assetNumber":{"type":"integer","format":"int32"},"calculationArgument":{"type":"integer","format":"int32","nullable":true},"sequence":{"type":"integer","format":"int32"},"certificationHoursPercentCore":{"type":"number","format":"double","nullable":true},"certificationHoursPercentNonCore":{"type":"number","format":"double","nullable":true},"creditHours":{"type":"number","format":"double","nullable":true},"masteryPoints":{"type":"number","format":"double","nullable":true},"passingScore":{"type":"number","format":"double","nullable":true},"pointsPossible":{"type":"number","format":"double","nullable":true},"authorDate":{"type":"string","format":"date-time","nullable":true},"created":{"type":"string","format":"date-time"},"datePosted":{"type":"string","format":"date-time","nullable":true},"modified":{"type":"string","format":"date-time"},"standardStatusLastUpdateTime":{"type":"string","format":"date-time","nullable":true},"utcPublished":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false}}},"paths":{"/api/competency/standards/{standard}":{"get":{"tags":["Competency API: Standards"],"summary":"Retrieves one specific standard","operationId":"retrieveStandard","parameters":[{"name":"standard","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/StandardModel"}}}}}}}}}
```

## HEAD /api/competency/standards/{standard}

> Checks for the existence of one specific standard

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}}},"paths":{"/api/competency/standards/{standard}":{"head":{"tags":["Competency API: Standards"],"summary":"Checks for the existence of one specific standard","operationId":"assertStandard","parameters":[{"name":"standard","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}},"text/json":{"schema":{"type":"boolean"}}}}}}}}}
```

## POST /api/competency/standards/collect

> Collects the list of standards that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CollectStandards":{"type":"object","properties":{"identifier":{"type":"string","format":"uuid","nullable":true},"origin":{"$ref":"#/components/schemas/Origin"},"filter":{"$ref":"#/components/schemas/QueryFilter"},"texts":{"type":"object","additionalProperties":{"type":"string","nullable":true},"nullable":true},"bankId":{"type":"string","format":"uuid","nullable":true},"bankSetId":{"type":"string","format":"uuid","nullable":true},"categoryItemId":{"type":"string","format":"uuid","nullable":true},"createdBy":{"type":"string","format":"uuid","nullable":true},"departmentGroupId":{"type":"string","format":"uuid","nullable":true},"industryItemId":{"type":"string","format":"uuid","nullable":true},"modifiedBy":{"type":"string","format":"uuid","nullable":true},"organizationId":{"type":"string","format":"uuid","nullable":true},"parentStandardId":{"type":"string","format":"uuid","nullable":true},"parentStandardIds":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"standardStatusLastUpdateUser":{"type":"string","format":"uuid","nullable":true},"standardIds":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"isCertificateEnabled":{"type":"boolean","nullable":true},"isFeedbackEnabled":{"type":"boolean","nullable":true},"isHidden":{"type":"boolean","nullable":true},"isLocked":{"type":"boolean","nullable":true},"isPractical":{"type":"boolean","nullable":true},"isPublished":{"type":"boolean","nullable":true},"isTemplate":{"type":"boolean","nullable":true},"isTheory":{"type":"boolean","nullable":true},"authorName":{"type":"string","nullable":true},"canvasIdentifier":{"type":"string","nullable":true},"code":{"type":"string","nullable":true},"competencyScoreCalculationMethod":{"type":"string","nullable":true},"competencyScoreSummarizationMethod":{"type":"string","nullable":true},"contentDescription":{"type":"string","nullable":true},"contentName":{"type":"string","nullable":true},"contentSettings":{"type":"string","nullable":true},"contentSummary":{"type":"string","nullable":true},"contentTitle":{"type":"string","nullable":true},"creditIdentifier":{"type":"string","nullable":true},"documentType":{"type":"string","nullable":true},"icon":{"type":"string","nullable":true},"language":{"type":"string","nullable":true},"levelCode":{"type":"string","nullable":true},"levelType":{"type":"string","nullable":true},"majorVersion":{"type":"string","nullable":true},"minorVersion":{"type":"string","nullable":true},"sourceDescriptor":{"type":"string","nullable":true},"standardAlias":{"type":"string","nullable":true},"standardHook":{"type":"string","nullable":true},"standardLabel":{"type":"string","nullable":true},"standardPrivacyScope":{"type":"string","nullable":true},"standardStatus":{"type":"string","nullable":true},"standardTier":{"type":"string","nullable":true},"standardType":{"type":"string","nullable":true},"tags":{"type":"string","nullable":true},"assetNumber":{"type":"integer","format":"int32","nullable":true},"calculationArgument":{"type":"integer","format":"int32","nullable":true},"sequence":{"type":"integer","format":"int32","nullable":true},"certificationHoursPercentCore":{"type":"number","format":"double","nullable":true},"certificationHoursPercentNonCore":{"type":"number","format":"double","nullable":true},"creditHours":{"type":"number","format":"double","nullable":true},"masteryPoints":{"type":"number","format":"double","nullable":true},"passingScore":{"type":"number","format":"double","nullable":true},"pointsPossible":{"type":"number","format":"double","nullable":true},"authorDate":{"type":"string","format":"date-time","nullable":true},"created":{"type":"string","format":"date-time","nullable":true},"datePosted":{"type":"string","format":"date-time","nullable":true},"modified":{"type":"string","format":"date-time","nullable":true},"standardStatusLastUpdateTime":{"type":"string","format":"date-time","nullable":true},"utcPublished":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"Origin":{"type":"object","properties":{"when":{"type":"string","format":"date-time"},"organization":{"type":"string","format":"uuid"},"user":{"type":"string","format":"uuid"},"proxy":{"type":"string","format":"uuid","nullable":true},"description":{"type":"string","nullable":true},"reason":{"type":"string","nullable":true},"source":{"type":"string","nullable":true}},"additionalProperties":false},"QueryFilter":{"type":"object","properties":{"page":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"sort":{"type":"string","nullable":true},"excludes":{"type":"string","nullable":true},"includes":{"type":"string","nullable":true},"format":{"type":"string","nullable":true}},"additionalProperties":false},"StandardModel":{"type":"object","properties":{"bankId":{"type":"string","format":"uuid","nullable":true},"bankSetId":{"type":"string","format":"uuid","nullable":true},"categoryItemId":{"type":"string","format":"uuid","nullable":true},"createdBy":{"type":"string","format":"uuid"},"departmentGroupId":{"type":"string","format":"uuid","nullable":true},"industryItemId":{"type":"string","format":"uuid","nullable":true},"modifiedBy":{"type":"string","format":"uuid"},"organizationId":{"type":"string","format":"uuid"},"parentStandardId":{"type":"string","format":"uuid","nullable":true},"standardId":{"type":"string","format":"uuid"},"standardStatusLastUpdateUser":{"type":"string","format":"uuid","nullable":true},"isCertificateEnabled":{"type":"boolean"},"isFeedbackEnabled":{"type":"boolean"},"isHidden":{"type":"boolean"},"isLocked":{"type":"boolean"},"isPractical":{"type":"boolean"},"isPublished":{"type":"boolean"},"isTemplate":{"type":"boolean"},"isTheory":{"type":"boolean"},"authorName":{"type":"string","nullable":true},"canvasIdentifier":{"type":"string","nullable":true},"code":{"type":"string","nullable":true},"competencyScoreCalculationMethod":{"type":"string","nullable":true},"competencyScoreSummarizationMethod":{"type":"string","nullable":true},"contentDescription":{"type":"string","nullable":true},"contentName":{"type":"string","nullable":true},"contentSettings":{"type":"string","nullable":true},"contentSummary":{"type":"string","nullable":true},"contentTitle":{"type":"string","nullable":true},"creditIdentifier":{"type":"string","nullable":true},"documentType":{"type":"string","nullable":true},"icon":{"type":"string","nullable":true},"language":{"type":"string","nullable":true},"levelCode":{"type":"string","nullable":true},"levelType":{"type":"string","nullable":true},"majorVersion":{"type":"string","nullable":true},"minorVersion":{"type":"string","nullable":true},"sourceDescriptor":{"type":"string","nullable":true},"standardAlias":{"type":"string","nullable":true},"standardHook":{"type":"string","nullable":true},"standardLabel":{"type":"string","nullable":true},"standardPrivacyScope":{"type":"string","nullable":true},"standardStatus":{"type":"string","nullable":true},"standardTier":{"type":"string","nullable":true},"standardType":{"type":"string","nullable":true},"tags":{"type":"string","nullable":true},"assetNumber":{"type":"integer","format":"int32"},"calculationArgument":{"type":"integer","format":"int32","nullable":true},"sequence":{"type":"integer","format":"int32"},"certificationHoursPercentCore":{"type":"number","format":"double","nullable":true},"certificationHoursPercentNonCore":{"type":"number","format":"double","nullable":true},"creditHours":{"type":"number","format":"double","nullable":true},"masteryPoints":{"type":"number","format":"double","nullable":true},"passingScore":{"type":"number","format":"double","nullable":true},"pointsPossible":{"type":"number","format":"double","nullable":true},"authorDate":{"type":"string","format":"date-time","nullable":true},"created":{"type":"string","format":"date-time"},"datePosted":{"type":"string","format":"date-time","nullable":true},"modified":{"type":"string","format":"date-time"},"standardStatusLastUpdateTime":{"type":"string","format":"date-time","nullable":true},"utcPublished":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false}}},"paths":{"/api/competency/standards/collect":{"post":{"tags":["Competency API: Standards"],"summary":"Collects the list of standards that match specific criteria","operationId":"collectStandards","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CollectStandards"}},"application/json":{"schema":{"$ref":"#/components/schemas/CollectStandards"}},"text/json":{"schema":{"$ref":"#/components/schemas/CollectStandards"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CollectStandards"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StandardModel"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StandardModel"}}}}}}}}}}
```

## POST /api/competency/standards/count

> Counts the standards that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CountStandards":{"type":"object","properties":{"identifier":{"type":"string","format":"uuid","nullable":true},"origin":{"$ref":"#/components/schemas/Origin"},"filter":{"$ref":"#/components/schemas/QueryFilter"},"texts":{"type":"object","additionalProperties":{"type":"string","nullable":true},"nullable":true},"bankId":{"type":"string","format":"uuid","nullable":true},"bankSetId":{"type":"string","format":"uuid","nullable":true},"categoryItemId":{"type":"string","format":"uuid","nullable":true},"createdBy":{"type":"string","format":"uuid","nullable":true},"departmentGroupId":{"type":"string","format":"uuid","nullable":true},"industryItemId":{"type":"string","format":"uuid","nullable":true},"modifiedBy":{"type":"string","format":"uuid","nullable":true},"organizationId":{"type":"string","format":"uuid","nullable":true},"parentStandardId":{"type":"string","format":"uuid","nullable":true},"parentStandardIds":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"standardStatusLastUpdateUser":{"type":"string","format":"uuid","nullable":true},"standardIds":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"isCertificateEnabled":{"type":"boolean","nullable":true},"isFeedbackEnabled":{"type":"boolean","nullable":true},"isHidden":{"type":"boolean","nullable":true},"isLocked":{"type":"boolean","nullable":true},"isPractical":{"type":"boolean","nullable":true},"isPublished":{"type":"boolean","nullable":true},"isTemplate":{"type":"boolean","nullable":true},"isTheory":{"type":"boolean","nullable":true},"authorName":{"type":"string","nullable":true},"canvasIdentifier":{"type":"string","nullable":true},"code":{"type":"string","nullable":true},"competencyScoreCalculationMethod":{"type":"string","nullable":true},"competencyScoreSummarizationMethod":{"type":"string","nullable":true},"contentDescription":{"type":"string","nullable":true},"contentName":{"type":"string","nullable":true},"contentSettings":{"type":"string","nullable":true},"contentSummary":{"type":"string","nullable":true},"contentTitle":{"type":"string","nullable":true},"creditIdentifier":{"type":"string","nullable":true},"documentType":{"type":"string","nullable":true},"icon":{"type":"string","nullable":true},"language":{"type":"string","nullable":true},"levelCode":{"type":"string","nullable":true},"levelType":{"type":"string","nullable":true},"majorVersion":{"type":"string","nullable":true},"minorVersion":{"type":"string","nullable":true},"sourceDescriptor":{"type":"string","nullable":true},"standardAlias":{"type":"string","nullable":true},"standardHook":{"type":"string","nullable":true},"standardLabel":{"type":"string","nullable":true},"standardPrivacyScope":{"type":"string","nullable":true},"standardStatus":{"type":"string","nullable":true},"standardTier":{"type":"string","nullable":true},"standardType":{"type":"string","nullable":true},"tags":{"type":"string","nullable":true},"assetNumber":{"type":"integer","format":"int32","nullable":true},"calculationArgument":{"type":"integer","format":"int32","nullable":true},"sequence":{"type":"integer","format":"int32","nullable":true},"certificationHoursPercentCore":{"type":"number","format":"double","nullable":true},"certificationHoursPercentNonCore":{"type":"number","format":"double","nullable":true},"creditHours":{"type":"number","format":"double","nullable":true},"masteryPoints":{"type":"number","format":"double","nullable":true},"passingScore":{"type":"number","format":"double","nullable":true},"pointsPossible":{"type":"number","format":"double","nullable":true},"authorDate":{"type":"string","format":"date-time","nullable":true},"created":{"type":"string","format":"date-time","nullable":true},"datePosted":{"type":"string","format":"date-time","nullable":true},"modified":{"type":"string","format":"date-time","nullable":true},"standardStatusLastUpdateTime":{"type":"string","format":"date-time","nullable":true},"utcPublished":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"Origin":{"type":"object","properties":{"when":{"type":"string","format":"date-time"},"organization":{"type":"string","format":"uuid"},"user":{"type":"string","format":"uuid"},"proxy":{"type":"string","format":"uuid","nullable":true},"description":{"type":"string","nullable":true},"reason":{"type":"string","nullable":true},"source":{"type":"string","nullable":true}},"additionalProperties":false},"QueryFilter":{"type":"object","properties":{"page":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"sort":{"type":"string","nullable":true},"excludes":{"type":"string","nullable":true},"includes":{"type":"string","nullable":true},"format":{"type":"string","nullable":true}},"additionalProperties":false},"CountResult":{"type":"object","properties":{"count":{"type":"integer","format":"int32"},"summary":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/competency/standards/count":{"post":{"tags":["Competency API: Standards"],"summary":"Counts the standards that match specific criteria","operationId":"countStandards","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CountStandards"}},"application/json":{"schema":{"$ref":"#/components/schemas/CountStandards"}},"text/json":{"schema":{"$ref":"#/components/schemas/CountStandards"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CountStandards"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CountResult"}},"text/json":{"schema":{"$ref":"#/components/schemas/CountResult"}}}}}}}}}
```

## POST /api/competency/standards/download

> Downloads the list of standards that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CollectStandards":{"type":"object","properties":{"identifier":{"type":"string","format":"uuid","nullable":true},"origin":{"$ref":"#/components/schemas/Origin"},"filter":{"$ref":"#/components/schemas/QueryFilter"},"texts":{"type":"object","additionalProperties":{"type":"string","nullable":true},"nullable":true},"bankId":{"type":"string","format":"uuid","nullable":true},"bankSetId":{"type":"string","format":"uuid","nullable":true},"categoryItemId":{"type":"string","format":"uuid","nullable":true},"createdBy":{"type":"string","format":"uuid","nullable":true},"departmentGroupId":{"type":"string","format":"uuid","nullable":true},"industryItemId":{"type":"string","format":"uuid","nullable":true},"modifiedBy":{"type":"string","format":"uuid","nullable":true},"organizationId":{"type":"string","format":"uuid","nullable":true},"parentStandardId":{"type":"string","format":"uuid","nullable":true},"parentStandardIds":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"standardStatusLastUpdateUser":{"type":"string","format":"uuid","nullable":true},"standardIds":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"isCertificateEnabled":{"type":"boolean","nullable":true},"isFeedbackEnabled":{"type":"boolean","nullable":true},"isHidden":{"type":"boolean","nullable":true},"isLocked":{"type":"boolean","nullable":true},"isPractical":{"type":"boolean","nullable":true},"isPublished":{"type":"boolean","nullable":true},"isTemplate":{"type":"boolean","nullable":true},"isTheory":{"type":"boolean","nullable":true},"authorName":{"type":"string","nullable":true},"canvasIdentifier":{"type":"string","nullable":true},"code":{"type":"string","nullable":true},"competencyScoreCalculationMethod":{"type":"string","nullable":true},"competencyScoreSummarizationMethod":{"type":"string","nullable":true},"contentDescription":{"type":"string","nullable":true},"contentName":{"type":"string","nullable":true},"contentSettings":{"type":"string","nullable":true},"contentSummary":{"type":"string","nullable":true},"contentTitle":{"type":"string","nullable":true},"creditIdentifier":{"type":"string","nullable":true},"documentType":{"type":"string","nullable":true},"icon":{"type":"string","nullable":true},"language":{"type":"string","nullable":true},"levelCode":{"type":"string","nullable":true},"levelType":{"type":"string","nullable":true},"majorVersion":{"type":"string","nullable":true},"minorVersion":{"type":"string","nullable":true},"sourceDescriptor":{"type":"string","nullable":true},"standardAlias":{"type":"string","nullable":true},"standardHook":{"type":"string","nullable":true},"standardLabel":{"type":"string","nullable":true},"standardPrivacyScope":{"type":"string","nullable":true},"standardStatus":{"type":"string","nullable":true},"standardTier":{"type":"string","nullable":true},"standardType":{"type":"string","nullable":true},"tags":{"type":"string","nullable":true},"assetNumber":{"type":"integer","format":"int32","nullable":true},"calculationArgument":{"type":"integer","format":"int32","nullable":true},"sequence":{"type":"integer","format":"int32","nullable":true},"certificationHoursPercentCore":{"type":"number","format":"double","nullable":true},"certificationHoursPercentNonCore":{"type":"number","format":"double","nullable":true},"creditHours":{"type":"number","format":"double","nullable":true},"masteryPoints":{"type":"number","format":"double","nullable":true},"passingScore":{"type":"number","format":"double","nullable":true},"pointsPossible":{"type":"number","format":"double","nullable":true},"authorDate":{"type":"string","format":"date-time","nullable":true},"created":{"type":"string","format":"date-time","nullable":true},"datePosted":{"type":"string","format":"date-time","nullable":true},"modified":{"type":"string","format":"date-time","nullable":true},"standardStatusLastUpdateTime":{"type":"string","format":"date-time","nullable":true},"utcPublished":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"Origin":{"type":"object","properties":{"when":{"type":"string","format":"date-time"},"organization":{"type":"string","format":"uuid"},"user":{"type":"string","format":"uuid"},"proxy":{"type":"string","format":"uuid","nullable":true},"description":{"type":"string","nullable":true},"reason":{"type":"string","nullable":true},"source":{"type":"string","nullable":true}},"additionalProperties":false},"QueryFilter":{"type":"object","properties":{"page":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"sort":{"type":"string","nullable":true},"excludes":{"type":"string","nullable":true},"includes":{"type":"string","nullable":true},"format":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/competency/standards/download":{"post":{"tags":["Competency API: Standards"],"summary":"Downloads the list of standards that match specific criteria","operationId":"downloadStandards","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CollectStandards"}},"application/json":{"schema":{"$ref":"#/components/schemas/CollectStandards"}},"text/json":{"schema":{"$ref":"#/components/schemas/CollectStandards"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CollectStandards"}}}},"responses":{"200":{"description":"OK"}}}}}}
```

## POST /api/competency/standards/search

> Searches for the list of standards that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"SearchStandards":{"type":"object","properties":{"identifier":{"type":"string","format":"uuid","nullable":true},"origin":{"$ref":"#/components/schemas/Origin"},"filter":{"$ref":"#/components/schemas/QueryFilter"},"texts":{"type":"object","additionalProperties":{"type":"string","nullable":true},"nullable":true},"organizationId":{"type":"string","format":"uuid","nullable":true},"parentStandardId":{"type":"string","format":"uuid","nullable":true},"parentStandardIds":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"standardIds":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"contentTitle":{"type":"string","nullable":true},"standardType":{"type":"string","nullable":true}},"additionalProperties":false},"Origin":{"type":"object","properties":{"when":{"type":"string","format":"date-time"},"organization":{"type":"string","format":"uuid"},"user":{"type":"string","format":"uuid"},"proxy":{"type":"string","format":"uuid","nullable":true},"description":{"type":"string","nullable":true},"reason":{"type":"string","nullable":true},"source":{"type":"string","nullable":true}},"additionalProperties":false},"QueryFilter":{"type":"object","properties":{"page":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"sort":{"type":"string","nullable":true},"excludes":{"type":"string","nullable":true},"includes":{"type":"string","nullable":true},"format":{"type":"string","nullable":true}},"additionalProperties":false},"StandardMatch":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"parentId":{"type":"string","format":"uuid","nullable":true},"code":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"type":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"assetNumber":{"type":"integer","format":"int32"},"sequence":{"type":"integer","format":"int32"}},"additionalProperties":false}}},"paths":{"/api/competency/standards/search":{"post":{"tags":["Competency API: Standards"],"summary":"Searches for the list of standards that match specific criteria","operationId":"searchStandards","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/SearchStandards"}},"application/json":{"schema":{"$ref":"#/components/schemas/SearchStandards"}},"text/json":{"schema":{"$ref":"#/components/schemas/SearchStandards"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/SearchStandards"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StandardMatch"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StandardMatch"}}}}}}}}}}
```
